package com.jzdsh.auto.app.controller.front;

import com.jfinal.aop.Inject;
import com.jzdsh.auto.app.controller.BaseController;
import com.jzdsh.auto.biz.UserInfoService;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.app.controller.front
 * @ClassName: UserInfoController
 * @Author: Jzdsh
 * @Description: 用户action
 * @Date: 2020/3/20 16:32
 * @Version: 1.0
 */
public class    UserInfoController extends BaseController {

    @Inject
    UserInfoService userInfoService;

    /**
     * wx登录
     */
    public void index( ) {
        renderJson(userInfoService.wxLogin(get("code"),get("nickName"),get("img")));
    }

    public void condition(){
        renderJson(userInfoService.provider("121.3870849609375","31.235549926757812"));
    }

}
